apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: enterprise-console
  namespace: minio-operator
  labels:
    enterprise.min.io/name: enterprise-console
spec:
  serviceName: enterprise-console-hl
  selector:
    matchLabels:
      enterprise.min.io/name: enterprise-console
  replicas: 1
  template:
    metadata:
      labels:
        enterprise.min.io/name: enterprise-console
    spec:
      serviceAccountName: enterprise-console-sa
      containers:
        - image: quay.io/mineos/console:RELEASE.2024-03-12T20-25-47Z
          imagePullPolicy: IfNotPresent
          name: console
          env:
            - name: CONSOLE_CONFIG_DIR_PATH
              value: /data/config
          ports:
            - name: http
              containerPort: 8444
            - name: control-plane
              containerPort: 7899
          command:
            - enterprise-console
            - server
          volumeMounts:
            - mountPath: /data
              name: console-data
  volumeClaimTemplates:
    - metadata:
        name: console-data
      spec:
        accessModes:
          - ReadWriteOnce
        resources:
          requests:
            storage: "10Gi"
